# Calculating Speeding Ticket Fines
# by CSCI 111
import sys

speedlimit = input("What was the speed limit? ")

# Make sure that the user input a valid speed limit
if speedlimit < 0:
    print "You need to enter a positive speed limit."
    sys.exit(1)

clockedspeed = input("What was your speed? ")

# Make sure that the user input a valid clocked speed
if clockedspeed < 0:
    print "You need to enter a positive speed."
    sys.exit(1)


if clockedspeed <= speedlimit:
    # not speeding
    print "You were not speeding."
    print "Continue safe driving practices."
else:
    # They were speeding ...
    
    # calculate the amount over the speedlimit
    over = clockedspeed - speedlimit
    # $5 for every mph over the speedlimit
    overCharge = 5 * over
    
    # The minimum fine is $50, add that to the charge for the amount over the speedlimit
    fine = 50 + overCharge
    
    # check if they were going over 90 mph
    if clockedspeed >= 90:
        fine = 200 + fine 
    
    print "Your fine is $%.2f." % fine
