# Practicing drawing rectangles
# by CSCI111

from graphics import *

# Construct the graphics window
win = GraphWin("My Rectangle")

# Construct the rectangle
upLeft = Point(0, 0)
lowRight = Point(100, 120)

rect = Rectangle( upLeft, lowRight)
rect.setFill("pink")

# Move the rectangle to the right 10 pixels
rect.move(10, 0)

# Draw the rectangle, then pause
rect.draw(win)
win.getMouse()

# Move the rectangle down 10.5 pixels, then pause
rect.move(0, 10.5)
win.getMouse()

# What are the new coordinates of the upperleft corner of the rectangle?
newUpLeft = rect.getP1()

xcoord = newUpLeft.getX()
ycoord = newUpLeft.getY()

# Alternative way to write: 
# newUpLeftYCoord = rect.getP1().getY()

print "The upperleft point's coordinates are (", xcoord, ycoord, ")"








