# Draw a Tic-Tac-Toe Board
# By CSCI 111

from graphics import *

win = GraphWin("Tic-Tac-Toe Board")

WIDTH = win.getWidth()
HEIGHT = win.getHeight()

# Make 2 horizontal lines
leftPoint1 = Point( 0, HEIGHT/3.0 )
rightPoint1 = Point( WIDTH, HEIGHT/3.0 )
hline1 = Line( leftPoint1, rightPoint1 )
hline1.setWidth(3)
hline1.setOutline("purple")

# clone the horizontal line so we don't need to set the
# "other" attributes of the line, like color and width
hline2 = hline1.clone()
# need to shift the second line down, 1/3 of the way
hline2.move(0, HEIGHT/3.0)

# Make 2 vertical lines
topPoint1 = Point(WIDTH/3.0, 0)
bottomPoint1 = Point(WIDTH/3.0, HEIGHT)
vline1 = Line(topPoint1, bottomPoint1)
vline1.setWidth(3)
vline1.setOutline("purple")

# similarly, clone the vertical line ...
vline2 = vline1.clone()
vline2.move(WIDTH/3.0, 0)

# draw the lines
hline1.draw(win)
hline2.draw(win)
vline1.draw(win)
vline2.draw(win)

win.getMouse()
