# Convert binary numbers to decimal
# by CSCI 111

def main():
    # get the binary number from the user, as a string
    binNum = raw_input("Please enter a binary number: ")
    isBinary = checkBinary(binNum)
    while not isBinary : # equivalent to isBinary == False
        print binNum, "is not a binary number."
        binNum = raw_input("Please enter a binary number: ")
        isBinary = checkBinary(binNum)
        
    decVal = binaryToDecimal(binNum) 
    print binNum, "is", decVal 

# Precondition: string (which is a string) 
# Postcondition: return True iff string represents a binary number
# (meaning it contains only 0s and 1s); otherwise, returns False
def checkBinary( string ):
    for char in string:
        if not(char == "0" or char == "1"):
            # above condition is equivalent to if char != "0" and char != "1":
            return False
    return True
      
# Precondition: binNum is a string that only contains 0s and 1s (binary string)
# Postcondition: returns binNum's value as a decimal value
def binaryToDecimal(binNum):
    # initialize the decimal value of the number
    decVal = 0
    # go through the positions of the binary number
    for pos in xrange(len( binNum )):
        # compute the exponent
        exp = len(binNum) - pos - 1
        # convert the character at this position to an integer
        bit = int(binNum[pos])
        # compute the decimal value of this bit
        val = bit * 2 ** exp
        # add it to the decimal value
        decVal += val
    return decVal
    
main()
