<!--Template adapted from www.oswd.org.  "Sinorca" template originally designed by haran-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en-AU">
  <head>
    <meta http-equiv="content-type" content="application/xhtml+xml; charset=UTF-8" />
    
	<title>CS 111: Fundamentals of Programming I</title>
        <link rel="stylesheet" type="text/css" href="course.css" />

</head>

  <body>
 <? include("header.php"); ?>
 <? include("sidebar.php"); ?>

    <!-- ##### Main Copy ##### -->

    <div id="main-copy">

      <h1>Opportunities for Extra Credit</h1>

<p>
Throughout the semester, you can earn extra credit, which will be
added to your project score.
</p>

<h2>Computer Science in the News (Up to 5 points each)</h2>

<p>If you find a news article about computer science or computing in
general that you find interesting, write a brief summary about the
article and post it as a reply/comment on the blog to the "Extra Credit" topic.
Each article you summarize is worth up to
5 points.</p>

<p>Your submission should include</p>

<ul>

<li>Complete article citation (author, title, etc.)

<li>If the article is online, include a link to the web page in your blog entry.  If the article is not online,
submit a paper copy of the article.

   <li>A brief summary of the article, about 1 paragraph.  (Label the paragraph as "Summary".)

   <li>How you found the article (as in, how did you come across the article)  (Label the sentence as "How Found".)

   <li>Why you thought the article was interesting  (Label as "Interest".)

   <li>Any impact the article had on you--your knowledge, your choices,
					  your preconceived notions, etc.  (Label as "Impact".)

</ul>

<p>You may find interesting articles everywhere.
Here are some sites to get you started: the Tech or
Science sections of <a href="http://www.cnn.com">CNN</a>, <a
href="http://www.popsci.com/popsci/">Popular Science</a>, and <a
href="http://technews.acm.org/">ACM's TechNews</a>.  Other sites, such
as <a href="http://www.digg.com">Digg</a> and <a
href="http://slashdot.org">Slashdot</a>, aggregate popular news
stories.  You may also find articles about applying computing to your
major in your major-specific journals.

<p>You will receive bonus extra credit points if your article is
particularly noteworthy and is added to the "News" section of the
Computer Science department's webpage

<p>At the end of the semester, the top 5 "most interesting" articles
will receive bonus extra credit points.


<p>To earn all 5 points, you must use proper English grammar,
spelling, and punctuation in the write up, and you must demonstrate
understanding and interest in the article.</p>

<h3>Restrictions and Limitations</h3>

<ul>
<li>The reviewed article must be at least 500 words long.
<li>You can submit up to 10 articles in one semester for extra credit.
<li>You can submit up to 2 articles in one 7-day period.

<li>Only one person can review a given article; the first person who
submits the review (based on the blog timestamp) will get credit for
the article.  Be aware that same article may appear on multiple sites.

</ul>


</body>
</html>
