# Caesar Cipher
# Given a key and a phrase, encodes the phrase using 
# the Caesar Cipher--shifting characters

import sys

print "This program encodes and decodes Caesar ciphers\n"

KEY_BOUND=25
MIN_ASCII=ord('a')
MAX_ASCII=ord('z')
ASCII_SHIFT = 26

# get the original message and key from user
userMessage = raw_input("Enter some text: ")
key = input ("Enter an integer key (between -25 and 25): ")

# make sure it's a valid key
if key < -KEY_BOUND or key > KEY_BOUND:
    print "Invalid key!"
    sys.exit(1)

# make sure the user's message is all lower case
userMessage = userMessage.lower()

# An accumulator for the encoded message
encodedMsg = ""

# Go through the userMessage, add the new rep of each char to encodedMsg
for char in userMessage:
    # Spaces should stay spaces
    if char == " ":
        newChar = " "
    # if it's not a space, we assume it's a lowercase letter
    else:

        # The ASCII rep of the encoded char is the ASCII rep of the
        # old one plus key
        newOrdVal = ord(char) + key

        # handle if new value is out of range
        if newOrdVal < MIN_ASCII:
            newOrdVal += ASCII_SHIFT
        elif newOrdVal > MAX_ASCII:
            newOrdVal -= ASCII_SHIFT
        newChar = chr(newOrdVal)
    encodedMsg += newChar

print "The result is:", encodedMsg
