# This program simulates that dice game they play at the roller skating places
# You pick one of six areas in the rink, sit there, and they roll a giant die.
# If it's your number, then you're out!
# Last one in wins
# By Camille Cobb
# Last Modified: 03-03-09
from game import *

print "It's time to play the giant dice game!"
numPlayers = input("How many other players are there? ")
print "Okay, skate to an area!"

while True:
    # For every other player a dice is rolled to randomly decide which area
    # they went to (keep track of how many are in each area)
    area1 = 0
    area2 = 0
    area3 = 0
    area4 = 0
    area5 = 0
    area6 = 0
    for players in xrange (numPlayers):
        areaDie = rollDie(6)
        if areaDie == 1: area1 += 1
        elif areaDie == 2: area2 += 1
        elif areaDie == 3: area3 += 1
        elif areaDie == 4: area4 += 1
        elif areaDie == 5: area5 += 1
        else: area6 += 1

    yourChoice = input ("Which area are you in (1 through 6)? (any other number to quit) ")
    if yourChoice < 1 or yourChoice > 6:
        print "You quit? Too bad, you were still safe!"
        break
    else:
        # The giant die is rolled
        giantDie = rollDie(6)
        print "\nWe rolled a", giantDie
    # If you're in the area, they roll, you're out
    if yourChoice == giantDie:
        print "\n\nToo bad, you lost! Well, at least you beat",numPlayers,"people!"
        break
    # You're not in the area they roll
    else:
        # Take away however many players were in the area they rolled
        if giantDie == 1:
            numPlayers -= area1
            print "\n\n", area1, "other players are out, but",
        elif giantDie == 2:
            numPlayers -= area2
            print "\n\n", area2, "other players are out, but",
        elif giantDie == 3:
            numPlayers -= area3
            print "\n\n", area3, "other players are out, but",
        elif giantDie == 4:
            numPlayers -= area4
            print "\n\n", area4, "other players are out, but",
        elif giantDie == 5:
            numPlayers -= area5
            print "\n\n", area5, "other players are out, but",
        else:
            numPlayers -= area6
            print "\n\n", area6, "other players are out, but",
        print "you're still safe! Skate to another area!\n\n"
    
    


