<!--Template adapted from www.oswd.org.  "Sinorca" template originally designed by haran-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en-AU">
  <head>
    <meta http-equiv="content-type" content="application/xhtml+xml; charset=UTF-8" />
    
	<title>CS 111: Fundamentals of Programming I</title>
        <link rel="stylesheet" type="text/css" href="course.css" />

</head>

  <body>
 <? include("header.php"); ?>
 <? include("sidebar.php"); ?>

    <!-- ##### Main Copy ##### -->

    <div id="main-copy">

      <h1>Using Python on Linux</h1>

<p>In general, on our system, you have two options for writing
  Python programs:
</p>


<ol>
 <li>You can write your programs in JEdit,
  use the terminal to run Python, and use IDLE (Python's integraded
  development environment) to demonstrate your program working OR

 <li>You can write your programs in IDLE, using its shell to run the
 programs and then restart IDLE when you demonstrate your program working.

 </ol>

 <p>You might want to try them both to see which way you prefer.

<h2>Running Python on the Command-Line</h2>

<p> You can execute the Python shell from the command-line (in a
Terminal) by typing <code>python</code>.  The resulting terminal
screen looks something like the figure below.  </p>

<img src="screenshots/python_shell.gif">

<p>This is called the <i>interactive</i> mode, where you can type Python
expressions and see the results immediately.</p>

<p>You can also execute Python as a script by typing <code>python &lt;scriptname&gt;</code>
</p>

<img src="screenshots/python_exec.gif">

<h2>Using IDLE</h2>

<p>You can execute IDLE by using the command <code>idle</code>

<br>Remember that you can follow the command with an &amp; so that you can continue
to use your terminal.

<br>The window that pops up should look similar to the screenshot below: 
</p>

<img src="screenshots/idle_shell.gif">

<p>You can execute Python statements directly in the shell window.  Python again
is in <i>interactive</i> mode.
</p>

<p>To edit Python scripts in IDLE, click "Open" and select the file that you
want to edit.</p>

<p>The following screenshot shows an IDLE user </p>

<img src="screenshots/idle_all.gif">

</body>
</html>
