<!--Template adapted from www.oswd.org.  "Sinorca" template originally designed by haran-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en-AU">
  <head>
    <meta http-equiv="content-type" content="application/xhtml+xml; charset=UTF-8" />
    
	<title>CS 111: Fundamentals of Programming I</title>
        <link rel="stylesheet" type="text/css" href="course.css" />

</head>

  <body>
 <? include("header.php"); ?>
 <? include("sidebar.php"); ?>

    <!-- ##### Main Copy ##### -->

    <div id="main-copy">

      <h1>Resources</h1>

<p>If you have suggestions for resources, let me know.</p>
      

<img src="python-logo.gif">
<ul>
   <li>In progress: <a href="python_tutorial.php">Using Python in Linux</a>
<li><a href="http://www.python.org/doc/">Python Documentation</a>
<li><a href="http://docs.python.org/lib/lib.html">Python Library</a>
<li><a href="http://docs.python.org/tut/tut.html">Python Tutorial</a>
<li><a href="http://mcsp.wartburg.edu/zelle/python/">Zelle's Python Textbook Site</a>
<li><a href="http://home.wlu.edu/~lambertk/python/index.html">Information on Python</a> by Professor Lambert
<li><a href="http://www.cs.wlu.edu/~necaise/python/">Python for Java Programmers</a> by Professor Necaise
<li><a href="http://www.ibiblio.org/obp/thinkCSpy/">How To Think Like a Computer Scientist: Learning with Python</a>
</ul>

      <h2>UNIX/Linux</h2>

      <p>In our lab, we are using the Linux operating system.  We have
      collected a set of <a href="http://www.cs.wlu.edu/labs">Lab
      Resources</a>, which we hope you find useful.

<p>The following resource pages are less comprehensive than the <a
href="http://www.cs.wlu.edu/labs">Lab Resources</a> pages and have
similar information to each other.

<ul>
<li><a href="http://servo.cs.wlu.edu/dokuwiki/doku.php/labs/home">CS Dept Wiki</a>
<li><a href="http://www.cs.wlu.edu/labs/unix/commands.html">Common Unix commands</a>
<li><a href="http://www.cs.swarthmore.edu/help/basic_commands.html">Basic Unix
Commands</a>
</ul>

      <h2>SSH</h2>
			
			<p>You should use the lab to do most of your work for this class. You
			can use the lab whenever a class isn't using it. However, if you must,
			you can access your Linux account remotely using SSH. Since you can
			always use the lab, we do not provide much support in your use of SSH.
			
      <p><a name="ssh"
      href="http://en.wikipedia.org/wiki/Secure_Shell">SSH</a> is a network
      protocol that allows you to remotely connect to your Linux account
      on the machine <code>pascal.cs.wlu.edu</code> securely. 

    <p>After you're on pascal, ssh to another machine in the advanced lab by 
executing the command <code>ssh -XY &lt;othermachine&gt;</code>

<p>Some machine names you can use are grace, ada, or minksy.
						    
			
			<h3>Software</h3>
			
			<p>If you use Mac OS X, ssh is on your machine automatically. To ssh
			into your Linux account, open a terminal and use the command <code>ssh
			-XY username@pascal.cs.wlu.edu</code> 
			
      <p>You can download and install an ssh tool on Windows. Right now, I
      only know of one free SSH tool. If you know of others, email me so I
      can update this page.

      <ul>

      <li><a
      href="http://www.chiark.greenend.org.uk/~sgtatham/putty/">PuTTY</a>
     
      </ul>

      <p>You will configure PuTTY to connect to the machine called
      <code>pascal.cs.wlu.edu</code>

</body>
</html>
