# Example of Implementation of "Accumulator" Design Pattern
# Computes the average of 5 numbers, given by the user
# by CSCI 111

# A constant for how many numbers to input
NUM_TO_INPUT = 5

# initialize the accumulator variable
total = 0

# number of times to loop
for i in xrange(NUM_TO_INPUT):
    num = input("Enter number: ")
    # Update the accumulator
    total += num
    print "You inputted", num
    print "\tRunning total: ", total    

# Compute the average, protect against integer division
average = float(total) / NUM_TO_INPUT

print "The total of the inputted numbers", total
print "The average of the inputted numbers", average
