# Simulate Pick 4 lottery game - selecting ping pong balls at random
# By CS111

import random

# define constants that are easy to change so that our
# program is flexible
NUM_BALLS = 4
MIN_VALUE = 0
MAX_VALUE = 9

# Create the format for the number
numFormat = ""
for num in xrange(NUM_BALLS-1):
    numFormat += "#-"
numFormat += "#"

pickedNum = raw_input("What is your pick? (" + numFormat + ") ")

# Accumulator variable for the winning number
winningNum = ""

for num in xrange(NUM_BALLS-1):
    # generate a random number (simulating the ping pong ball machine
    # spitting out a random ping pong ball)
    randomNum = random.randint(MIN_VALUE, MAX_VALUE)
    # add the random number to the winning number
    winningNum = winningNum + str(randomNum)
    # add the hyphen to the winning number
    winningNum += "-"
    
# add the final random number to the winning number
winningNum += str(random.randint(MIN_VALUE, MAX_VALUE))
    
# display the winning number
print "The winning number is", winningNum

if pickedNum == winningNum:
    print "Congratulations!  You're the big winner!!!!!!"
else:
    print "Please waste more money and play again."
