# Draw a Tic-Tac-Toe Board
# By CSCI111

from graphics import *

win = GraphWin("Tic-Tac-Toe Board")

WIDTH = win.getWidth()
HEIGHT = win.getHeight()

# Make 2 horizontal lines
leftPoint1 = Point( 0, HEIGHT/3.0 )
rightPoint1 = Point( WIDTH, HEIGHT/3.0 )
hline1 = Line( leftPoint1, rightPoint1 )
hline1.setWidth(3)
hline1.setOutline("purple")

leftPoint2 = Point( 0, 2*HEIGHT/3.0 )
rightPoint2 = Point( WIDTH, 2*HEIGHT/3.0 )
hline2 = Line( leftPoint2, rightPoint2 )
hline2.setWidth(3)
hline2.setOutline("purple")

# Make 2 vertical lines
topPoint1 = Point(WIDTH/3.0, 0)
bottomPoint1 = Point(WIDTH/3.0, HEIGHT)
vline1 = Line(topPoint1, bottomPoint1)
vline1.setWidth(3)
vline1.setOutline("purple")

topPoint2 = Point(2*WIDTH/3.0, 0)
bottomPoint2 = Point(2*WIDTH/3.0, HEIGHT)
vline2 = Line(topPoint2, bottomPoint2)
vline2.setWidth(3)
vline2.setOutline("purple")

# draw the lines
hline1.draw(win)
hline2.draw(win)
vline1.draw(win)
vline2.draw(win)

# pause so we can see our drawing ...
win.getMouse()
