# Demonstrate implementations of the linear and binary search
# techniques.
# Sara Sprenkle

# represents that binarySearch did not find the key
NOT_FOUND=-1

def main():
    
    integers = range(1,20,2)
    print "The list: ", integers
    print
    
    print "Search for", 1
    print "Linear: Found?", linearSearch(integers,1)
    # binarySearch returns the position the number was found, or -1 if it was
    # not found.  Translate the result from binarySearch to a True or False
    pos = binarySearch(integers, 1)
    binFound = pos != NOT_FOUND
    print "Binary: Found?", binFound
    print
    
    print "Search for", 4
    print "Linear: Found?", linearSearch(integers,4)
    pos = binarySearch(integers, 4)
    binFound = pos != NOT_FOUND
    print "Binary: Found?", binFound
    print

    print "Search for", 15
    print "Linear: Found?", linearSearch(integers, 15)
    pos = binarySearch(integers, 15)
    binFound = pos != NOT_FOUND
    print "Binary: Found?", binFound
    print

    print "Search for", 16
    print "Linear: Found?", linearSearch(integers, 16)
    pos = binarySearch(integers, 16)
    binFound = pos != NOT_FOUND
    print "Binary: Found?", binFound
    print
    
    print "Search for", 17
    print "Linear: Found?", linearSearch(integers, 17)
    pos = binarySearch(integers, 17)
    binFound = pos != NOT_FOUND
    print "Binary: Found?", binFound


def linearSearch(searchlist, key):
    for elem in searchlist:
        if elem == key:
            return True
    return False

def binarySearch(searchlist, key):
    low = 0
    high = len(searchlist)-1
    while low <= high:
        mid = (low+high)/2
        if searchlist[mid] == key:
            return mid
        if searchlist[mid] < key: # search lower half
            low = mid+1
        else: # search upper half
            high = mid-1
    return NOT_FOUND

main()
