# Simulates a game of Rainbow Dice
# Modified from a CS111 student's solution

from random import randint

# For testing purposes, TOTAL_POINTS=10, not 1000000
TOTAL_POINTS=10

# Flip a coin to determine who rolls first.
# Then, roll the dice to determine who is which color dice.
flip=randint(0,1)
if flip == 0: # HEADS or TAILS
    print "Player A, roll first"
    aroll = randint(1,6)
    broll = randint(1,6)
else:
    print "Player B, roll first"
    broll = randint(1,6)
    aroll = randint(1,6)


if aroll > broll :
    print "Player A, you are green"
    print "Player B, you are red"
else :
    print "Player B, you are red"
    print "Player A, you are green"


green_score = 0
red_score = 0

# keep track of the rounds
round = 1

# The game should only continue until one of the players exceeds
# TOTAL_POINTS 
while green_score < TOTAL_POINTS and red_score < TOTAL_POINTS:

    print "Round", round
    
    green_die1=randint(1,6)
    green_die2=randint(1,6)
    red_die1=randint(1,6)
    red_die2=randint(1,6)

    green_total = green_die1 + green_die2
    red_total = red_die1 + red_die2
      
    print "\tGreen Player, you rolled", green_die1,"and "+str(green_die2)+"."
    print "\tGreen Total:", green_total
    print "\tRed Player, you rolled", red_die1,"and "+str(red_die2)+"."
    print "\tRed Total:", red_total
    
    # Points are awarded based on values for the current round.
    print "\t",
    if green_total>red_total:
        print "Green gets a point."
        green_score+=1
    elif red_total>green_total:
        print "Red gets a point."
        red_score+=1
    else:
        print "Red and Green both get a point."
        green_score+=1
        red_score+=1

    # Print current score:
    print "\tSCORE: Green:", green_score, "\tRed:", red_score
    round += 1

# Print game outcome
print
print "FINAL SCORE: Green:", green_score, "\tRed:", red_score
print

if green_score > red_score:
    print "Congratulations, Green Player, you are the winner!!"
    print "Sorry, Red Player, you lose!!!  Start Green's laundry!"
elif red_score > green_score :
    print "Congratulations, Red Player, you are the winner!!!"
    print "Sorry, Green Player, you lose!!!  You have to leave the county!"
else:
    # Rare, but could happen
    print "You TIED!!"
