<!--Template adapted from www.oswd.org.  "Sinorca" template originally designed by haran-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en-AU">
  <head>
    <meta http-equiv="content-type" content="application/xhtml+xml; charset=UTF-8" />
    
	<title>CS 111: Fundamentals of Programming I</title>
        <link rel="stylesheet" type="text/css" href="course.css" />

</head>

  <body>
 <? include("header.php"); ?>
 <? include("sidebar.php"); ?>


<div class="rightcontainer">
  <div id="toc" class="rightbox">
  <h2>Table Of Contents</h2>
  <ul>
  <li><a href="#top">UNIX Help</a>
  <ul>
  <li><a href="#files">Managing Files</a>
  <li><a href="#background">Running in Background</a>
  </ul>
  </ul>
  </div>
  </div>

    <!-- ##### Main Copy ##### -->

    <div id="main-copy">

      <a name="top"><h1>UNIX Help</h1></a>

      <p>This page is a quick reference for UNIX.  If you think
      something else should be added to the page, let me know.
      </p>

      <h2><a name="files">Managing Files</a></h2>

<p><code>pwd</code>

	    <br>present working directory
	  <p><code>cd [dir]</code>
	    <br>change directory
	  <p><b>Special names for directories:</b>
	  <UL>
	    <LI> <code>.</code>
	      <br>the current directory
	    <LI><code>..</code>

	      <br>the parent directory
	    <LI><code>~</code>
	      <br>home directory
	  </UL>
	  <p><code>ls</code>
	    <br>list files in the directory
	    <br>Useful options:
	    <ul>
	    <li>l: long format
	    <li>h: human-readable
	    <li>t: time order
	    <li>r: reverse order
	    </ul>
	    
	  <p><code>cp [srcfile] [destfile]</code>
	    <br>copy a file (srcfile) into another file/location (destfile)
	
	  <p><code>mv [srcfile] [destfile]</code>

	    <br>move a file (srcfile) into another file/location (destfile)

      <h2><a name="background">Running programs in the background</a></h2>
	  <P> <code> cmd [args] &amp;</code>
	    <br> To run a command <code>cmd [args]</code> in the background, 
	    follow the full command (including arguments) with an "<code>&amp;</code>"
	    <br>For example: <code>emacs &</code>.  Emacs opens and the 
	    terminal is now available to run other commands.
	  <p>If you already started to run the program in the foreground,
	    type 'Control-Z', which suspends the running program and gives you 
	    your prompt back.  Then, type 
	    <code>bg</code>, which puts the suspended program in the 
	    <b>b</b>ack<b>g</b>round.  Now, you can use emacs.
	    
	    
</body>
</html>
